XIL-MP3-HASH(1)

NAME
xil-mp3-hash

SYNOPSIS
xil-mp3-hash [-h] [--output FILE] [--absolute] [--json] [path]

DESCRIPTION
Recursively hash MP3 files and log <path> : <sha256>

path
    File to hash or directory to scan recursively (default: current directory)

OPTIONS

--output FILE, -o FILE
    Write results to FILE in addition to logging

--absolute
    Print absolute paths (default: paths relative to scan root)

--json
    Output a JSON array of {"path": ..., "sha256": ...} to stdout (no banner)

SEE ALSO
xil(1), xil-scan(1), xil-parse(1), xil-cues(1), xil-produce(1), xil-assemble(1), xil-studio-onboard(1), xil-daw(1), xil-migrate(1), xil-cleanup(1), xil-import(1), xil-regen(1), xil-master(1), xil-voices(1), xil-csv-join(1), xil-sfx(1), xil-sample(1), xil-sfx-lib(1), xil-splice(1), xil-mp3-hash(1), xil-migrate-workspace(1), xil-init(1)

AUTHOR
John Brissette <xilcmd@gmail.com>